Bug 202508 - [PATCH] net/rubygem-amq-protocol: 2.0.0 & net/rubygem-bunny: 2.1.0 combined update
Summary: [PATCH] net/rubygem-amq-protocol: 2.0.0 & net/rubygem-bunny: 2.1.0 combined u...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-20 06:53 UTC by Dave Cottlehuber
Modified: 2015-09-17 17:20 UTC (History)
1 user (show)

See Also:


Attachments
git patch for net/rubygem={amq-protocol,bunny } (2.01 KB, patch)
2015-08-20 06:53 UTC, Dave Cottlehuber
no flags Details | Diff
combined git patch for net/rubygem={amq-protocol,bunny} (2.01 KB, patch)
2015-09-09 22:07 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2015-08-20 06:53:12 UTC
Created attachment 160130 [details]
git patch for net/rubygem={amq-protocol,bunny }

This is a combined patch as bunny depends on amqp. Dependency info for other
amqp-based gems may not be correct in the Makefile, but AFAICT no other gems
need updating.

# dependencies

$ pkg info -r net/rubygem-amq-protocol net/rubygem-bunny
rubygem-amq-protocol-2.0.0:
        rubygem-bunny-2.1.0
rubygem-bunny-2.1.0:
$ pkg info -d net/rubygem-amq-protocol net/rubygem-bunny
rubygem-amq-protocol-2.0.0:
        ruby-2.1.6,1
        ruby21-gems-2.4.8
rubygem-bunny-2.1.0:
        rubygem-amq-protocol-2.0.0
        ruby-2.1.6,1
        ruby21-gems-2.4.8

# portlint

"looks fine" for both.

# poudriere

http://pkg.skunkwerks.at/poudriere/build.html?mastername=10_2_amd64-default&build=2015-08-18_09h26m49s

# patch

https://github.com/dch/freebsd-ports/commit/6239dd7.patch
Comment 1 Dave Cottlehuber freebsd_committer 2015-09-09 22:07:44 UTC
Created attachment 160881 [details]
combined git patch for net/rubygem={amq-protocol,bunny}

updated because bunny 2.2.0 was released.

# portlint

looks fine

# poudriere

http://pkg.skunkwerks.at/poudriere/build.html?mastername=10_2_amd64-default&build=2015-09-09_22h02m01s

# patch

see https://github.com/dch/freebsd-ports/commit/bc13ee7.patch (latest commit in https://github.com/dch/freebsd-ports/tree/bunny )
Comment 2 commit-hook freebsd_committer 2015-09-17 17:15:55 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Sep 17 17:15:30 UTC 2015
New revision: 397195
URL: https://svnweb.freebsd.org/changeset/ports/397195

Log:
  - Update to 2.2.0

  Changes:	https://github.com/ruby-amqp/bunny/blob/master/ChangeLog.md
  PR:		202508
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at>
  Approved by:	maintainer (timeout, 4 weeks)

Changes:
  head/net/rubygem-bunny/Makefile
  head/net/rubygem-bunny/distinfo
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-09-17 17:20:41 UTC
Committed. Thanks!